Fetch a CCXT ticker and funding rate
curl --request GET \
--url https://testnet.edel-api.xyz/v2/markets/{symbol}/statsimport requests
url = "https://testnet.edel-api.xyz/v2/markets/{symbol}/stats"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://testnet.edel-api.xyz/v2/markets/{symbol}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"symbol": "<string>",
"timestamp": 1,
"datetime": "<string>",
"high": 123,
"low": 123,
"last": 123,
"quoteVolume": 1,
"markPrice": 123,
"indexPrice": 123,
"fundingRate": 123,
"nextFundingRate": 123,
"nextFundingTimestamp": 1,
"nextFundingDatetime": "<string>",
"interval": "<string>",
"info": {
"version": "external-market-stats/v1",
"marketId": "<string>",
"volume24hQuoteAtoms": "<string>",
"volume24hQuote": "<string>",
"openInterestBaseAtoms": "<string>",
"openInterestBase": "<string>",
"openInterestQuoteAtoms": "<string>",
"openInterestQuote": "<string>",
"fundingRateBps": "<string>",
"predictedFundingRateBps": "<string>",
"nextFundingTimeEpochMs": 1,
"fundingIntervalMs": 1,
"marketData": {
"indexPriceAtoms": "<string>",
"indexPrice": "<string>",
"markPriceAtoms": "<string>",
"markPrice": "<string>",
"asOfEpochMs": 1
},
"lastPriceAtoms": "<string>",
"lastPrice": "<string>",
"change24hBps": "<string>",
"high24hAtoms": "<string>",
"high24h": "<string>",
"low24hAtoms": "<string>",
"low24h": "<string>"
}
}{
"name": "AccountNotEnabled",
"message": "<string>",
"code": "invalid_request",
"retryable": true,
"timestamp": 1,
"datetime": "<string>",
"info": {
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}
}{
"name": "AccountNotEnabled",
"message": "<string>",
"code": "invalid_request",
"retryable": true,
"timestamp": 1,
"datetime": "<string>",
"info": {
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}
}{
"name": "AccountNotEnabled",
"message": "<string>",
"code": "invalid_request",
"retryable": true,
"timestamp": 1,
"datetime": "<string>",
"info": {
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}
}{
"name": "AccountNotEnabled",
"message": "<string>",
"code": "invalid_request",
"retryable": true,
"timestamp": 1,
"datetime": "<string>",
"info": {
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}
}{
"name": "AccountNotEnabled",
"message": "<string>",
"code": "invalid_request",
"retryable": true,
"timestamp": 1,
"datetime": "<string>",
"info": {
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}
}{
"name": "AccountNotEnabled",
"message": "<string>",
"code": "invalid_request",
"retryable": true,
"timestamp": 1,
"datetime": "<string>",
"info": {
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}
}{
"name": "AccountNotEnabled",
"message": "<string>",
"code": "invalid_request",
"retryable": true,
"timestamp": 1,
"datetime": "<string>",
"info": {
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}
}CCXT v2
Fetch a CCXT ticker and funding rate
Returns the existing market stats in the compatible superset of CCXT unified Ticker and FundingRate fields.
Method and path: GET /v2/markets//stats
Authentication: none.
Request schema: none.
Response schema: CcxtV2MarketStatsResponse.
Error envelope: CcxtV2ErrorResponse (contains ExternalRestError external-rest-error/v1 as info).
GET
/
v2
/
markets
/
{symbol}
/
stats
Fetch a CCXT ticker and funding rate
Path Parameters
Minimum string length:
1Response
Success
Minimum string length:
1Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Minimum string length:
1Show child attributes
Show child attributes